Webhooks (v1)
Snyk API reference for the Webhooks (v1) endpoints, including request parameters and response schemas
Snyk sends a ping event to the newly configured webhook so you can check you're able to receive the transports.### Required permissions
-
View Organization -
View Outbound Webhooks -
Create Outbound Webhooks
API key value must be prefixed with "Token ".
The organization ID to list projects for. The API_KEY must have access to this organization.
4a18d42f-0706-4ad0-b127-24078731fbedWebhooks can only be configured for URLs using the https protocol. http is not allowed.
This is a password you create, that Snyk uses to sign our transports to you, so you be sure the notification is authentic. Your secret should: Be a random string with high entropy; Not be used for anything else; Only known to Snyk and your webhook transport consuming code;
POST /v1/org/{orgId}/webhooks HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 96
{
"url": "https://my.app.com/webhook-handler/snyk123",
"secret": "a8be22bb7bed43a3ac24de3580093560"
}{
"id": "d3cf26b3-2d77-497b-bce2-23b33cc15362",
"url": "https://my.app.com/webhook-handler/snyk123"
}Snyk sends a ping event to the newly configured webhook so you can check you're able to receive the transports
Required permissions
-
View Organization -
View Outbound Webhooks
API key value must be prefixed with "Token ".
The organization ID to list projects for. The API_KEY must have access to this organization.
4a18d42f-0706-4ad0-b127-24078731fbedGET /v1/org/{orgId}/webhooks HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
"results": [
{
"id": "d3cf26b3-2d77-497b-bce2-23b33cc15362",
"url": "https://my.app.com/webhook-handler/snyk123"
}
],
"total": 1
}Required permissions
-
View Organization -
View Outbound Webhooks
API key value must be prefixed with "Token ".
The organization ID the project belongs to. The API_KEY must have access to this organization.
4a18d42f-0706-4ad0-b127-24078731fbedThe webhook ID.
463c1ee5-31bc-428c-b451-b79a3270db08GET /v1/org/{orgId}/webhooks/{webhookId} HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "d3cf26b3-2d77-497b-bce2-23b33cc15362",
"url": "https://my.app.com/webhook-handler/snyk123"
}Required permissions
-
View Organization -
View Outbound Webhooks -
Remove Outbound Webhooks
API key value must be prefixed with "Token ".
The organization ID the project belongs to. The API_KEY must have access to this organization.
4a18d42f-0706-4ad0-b127-24078731fbedThe webhook ID.
463c1ee5-31bc-428c-b451-b79a3270db08DELETE /v1/org/{orgId}/webhooks/{webhookId} HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
No content
Required permissions
-
View Organization -
View Outbound Webhooks
API key value must be prefixed with "Token ".
The organization ID the project belongs to. The API_KEY must have access to this organization.
4a18d42f-0706-4ad0-b127-24078731fbedThe webhook ID.
463c1ee5-31bc-428c-b451-b79a3270db08POST /v1/org/{orgId}/webhooks/{webhookId}/ping HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
No content
Last updated
Was this helpful?

